# Content Preferences

Source: https://www.ranked.ai/developers/api-reference/content/preferences

`GET https://app.ranked.ai/api/v1/projects/{projectId}/content/preferences`

> Get or update content preferences for a project

### GET - Retrieve preferences

- `projectId` (path, string, required): Project UUID

**Request**

```bash cURL
curl "https://app.ranked.ai/api/v1/projects/{projectId}/content/preferences" \
  -H "Authorization: Bearer rk_live_your_api_key"
```

### PATCH - Update preferences

Requires a **Read + Write** API key.

**Request**

```bash cURL
curl -X PATCH "https://app.ranked.ai/api/v1/projects/{projectId}/content/preferences" \
  -H "Authorization: Bearer rk_live_your_write_key" \
  -H "Content-Type: application/json" \
  -d '{ "preferences": "Write in a professional but friendly tone. Focus on local tree care topics." }'
```
